/*Nollställer marginaler*/
{ 
    margin: 0; 
    padding: 0; 
} 

/*Stylar länkar*/
a:link {
    text-decoration: underline;
    color: #083442
}

a:visited {
    text-decoration: underline;
    color: #083442
}

a:hover {
    color: #666666;
}

/*Stylar header*/
header {
    width: auto;
}

/*Bestämmer logotypens storlek*/
header img {
    width: 15%;
    height: auto;
}

/*Stylar bakgrundsbild*/
body {
    background-image: url(/img/background1.png);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: 100%;
    background-color: #131412;
}

/*Wrapper omsluter alla element på sidan*/
#wrapper {
    width: 100%;
    height: auto;
    margin: auto;
    padding: 2em, 1em, 2em, 1em;
}

/*Stylar rubriker och text*/
h1 {
    color: #444747;
    font-family: 'Reem Kufi', sans-serif;
    font-size: 20pt;
}

h2 {
    color: #444747;
    font-family: 'Reem Kufi', sans-serif;
    font-size: 17pt;
}

p {
    color: #333333;
    font-family: 'PT Serif Caption', serif;
    font-size: 14pt;    
}

/*Gör så att text i tabell lägger sig till vänster*/
table {
    text-align: left;
}

/*Stylar tabellers innehåll och utseende*/
th {
    width: 25%;
    color: #333333;
    font-family: 'PT Serif Caption', serif;
    font-size: 13pt;
}

td {
    width: 25%;
    color: #333333;
    font-family: 'PT Serif Caption', serif;
    font-size: 11pt;
}

.hourWind tr {
    width: 23%;
    color: #333333;
    font-family: 'PT Serif Caption', serif;
    font-size: 11pt;
}

/*Stylar rutan med favoriter på sidan med favoriter*/
#myFavourites {
    background-color: rgba(255, 255, 255, 0.6);
    width: 100%;
    border-radius: 7px;
    padding: 7px;
    margin-bottom: 10px;
    font-family: 'PT Serif Caption', serif;
    font-size: 12pt;
}

/*Stylar sökknapp*/
button {
    -webkit-border-radius: 7;
    -moz-border-radius: 7;
    border-radius: 7px;
    -webkit-box-shadow: 0px 1px 3px #666666;
    -moz-box-shadow: 0px 1px 3px #666666;
    box-shadow: 0px 1px 3px #666666;
    font-family: Arial;
    color: #ffffff;
    font-size: 14px;
    background: #0b4759;
    padding: 5px 10px 5px 10px;
    border: solid #eaeff2 1px;
    text-decoration: none;
}

button: hover {
    background-color: #6a6e70;
    text-decoration: none;
}

/*Stylar icon som visar nuvarande väder*/
#icon {
    width: 60px;
    height: auto;
}

/*Gömmer design för element i mindre skärmar*/
#weatherByHoursSm {
    display: none;
}

#temp {
    font-size: 17px;
}


@media only screen and (max-width: 980px) {
    /*Design för liten skärm*/  

    /*Gömmer design för element i stor skärm*/
    #weatherByHoursBig {
        display: none;
    }

    /*Bestämmer logotypens storlek*/
    header img {
        width: 20%;
        height: auto;
    }

    /*Stylar "Mina favoriter" på söksidan*/
    #favourites  {
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 100%;
        padding: 0.5em;
        margin: auto;
        margin-top: 1em;
        margin-bottom: 1em;
        text-align: left;
    }

    /*Stylar sökdelen*/
    #search {
        display: inline-block;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 100%;
        height: auto;
        padding: 0.5em;
        margin-right: auto;
        margin-left: auto;
    }

    input {
        width: 75%;
        border-radius: 7px;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    #search table {
        width: 100%;
        margin-top: 1em;
        margin-bottom: 1em;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    /*Stylar väderrutan med det nuvarande vädret*/
    #currentWeather {
        display: inline-block;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 100%;
        padding: 7px;
        margin: auto;
        margin-top: 0.7em;
    }

    /*Stylar vädret över tid*/
    #weatherByHoursSm {
        display: block;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 100%;
        margin: auto;
        margin-top: 1em;
        margin-bottom: 1em;
        padding: 7px;
        text-align: left;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
    }
}

@media only screen and (min-width: 981px) and (max-width: 1205px) {
    /*Design för mediumskärm*/

    /*Bestämmer logotypens storlek*/
    header img {
        width: 20%;
        height: auto;
    }

    /*Stylar "Mina favoriter" på söksidan*/
    #favourites  {
        float: left;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 15%;
        padding: 0.5em;
        margin-top: 1em;
        text-align: left;
    }

    /*Stylar sökdelen*/
    #search {
        display: block;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 30em;
        padding: 0.5em;
        margin-right: auto;
        margin-left: auto;
    }

    input {
        width: 75%;
        border-radius: 7px;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    #search table {
        width: 30em;
        margin-top: 1em;
        margin-bottom: 1em;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    /*Stylar vädret över tid*/
    #weatherByHoursSm {
        display: block;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 30em;
        margin: auto;
        margin-top: 1em;
        margin-bottom: 1em;
        padding: 7px;
        text-align: left;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
    }

    /*Stylar väderrutan med det nuvarande vädret*/
    #currentWeather {
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 30em;
        padding: 7px;
        margin: auto;
        margin-top: 0.7em;
    }

    #weatherByHoursBig {
        display: none;
    }
}

@media only screen and (min-width: 1206px) {
    /*Design för stor skärm*/ 

    /*Stylar "Mina favoriter" på söksidan*/
    #favourites  {
        float: left;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 15%;
        padding: 0.5em;
        margin-top: 1em;
        text-align: left;
    }

    /*Stylar sökdelen*/
    #search {
        /*display: inline-block;*/
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 25em;
        padding: 0.5em;
        margin-right: auto;
        margin-left: auto;
    }

    input {
        width: 75%;
        border-radius: 7px;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    #search table {
        width: 25em;
        margin-top: 1em;
        margin-bottom: 1em;
        font-family: 'PT Serif Caption', serif;
        font-size: 12pt;
    }

    /*Stylar väderrutan med det nuvarande vädret*/
    #currentWeather {
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 30em;
        padding: 7px;
        margin: auto;
        margin-top: 0.7em;
    }

    /*Stylar vädret över tid*/
    #weatherByHoursBig {
        float: right;
        background-color: rgba(255, 255, 255, 0.6);
        border-radius: 7px;
        width: 27%;
        margin-top: 0.7em;
        margin-bottom: 1em;
        padding: 10px;
        text-align: left;
        color: #333333;
        font-family: 'PT Serif Caption', serif;
    }
    
    #weatherByHoursBig table {
        width: 90%;
    }
}